Subject: Re: Notification: incoming/743

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Sun, 22 Jul 2001 19:36:54 +0700

On 21 Jul 01 at 19:36, [email-masked] wrote:

> > The subject says it all -- if one presses keys when a shaded window is
> > focused, that app receives key events.
> >
> > Since shading is like iconifying (i.e. "minimizing" a space, occupied by a
> > window, to some "icon"), it is wise to prevent keys from going to shaded
> > windows.  Other WMs (at least AfterStep) do so.
>
> Yes, shading is like iconifying.  Fvwm treats shaded windows like
> iconified ones:  they both get keyboard input.  This can come in
> handy if you have to paste the same text into 20 windows.  This was
> a very conscious choice we made (okay: I made).  Where exactly is
> the problem?

    No, *iconified* windows don't get keyboard input.  Test it with e.g.
sample.fvwmrc/system.fvwm2rc.  The same happens with AnotherLevel.

    As to where is the problem...  It is a very unusual and un-intuitive
behaviour (IMHO, of course).  I can live with it, and can be even very happy
with it (your example with 20 windows seems reasonable).  But users get
confused.

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 22 Jul 2001 13:11:15 +0200

On Sun, Jul 22, 2001 at 07:36:54PM +0700, Dmitry Yu. Bolkhovityanov wrote:
>     No, *iconified* windows don't get keyboard input.

But they do.  They may not *take* keyboard input, but that is the
choice of the application.  For example, xemacs and rxvt take
keyboard input while iconified out of the box.  xterm does not
normally use keyboard input, but if started with the active icon
feature it does ("xterm +ai", must be compiled in).  Other
applications may or may not accept keyboard input in the iconified
state.

> Test it with e.g.

I guess there wouldn't be much confusion if it were possible to
explicitly remove the focus from the window, e.g.

  function my_windowshade
  + I Current (!Shaded) UnfocusWindow
  + I WindowShade toggle

This would unfocus the newly shaded window but still allow to
explicitly focus it again with the mouse to give it keyboard
input.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]